Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.analyticquery
Class AnalyticQueryData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.analyticquery.AnalyticQueryData

All Implemented Interfaces:
  StepDataInterface

    public class AnalyticQueryData

extends BaseStepData
implements StepDataInterface

Since:
  27-jan-2009
Author:
  ngoodman

Field Summary
`ConcurrentLinkedQueue<Object[]>` | `data`
`int[]` | `groupnrs`
`org.pentaho.di.core.row.RowMetaInterface` | `inputRowMeta`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`Object[]` | `previous`
`int` | `queue_cursor`
`int` | `queue_size`
`int` | `window_size`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`AnalyticQueryData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### groupnrs

    public int[] groupnrs

### inputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface inputRowMeta

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### window_size

    public int window_size

### queue_size

    public int queue_size

### queue_cursor

    public int queue_cursor

### data

    public ConcurrentLinkedQueue<Object[]> data

### previous

    public Object[] previous

Constructor Detail

### AnalyticQueryData

    public AnalyticQueryData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD